# Research

**Morph-KGC** is a project created by **[Julián Arenas-Guerrero](https://orcid.org/0000-0002-3029-6469)** in the context of his PhD thesis under the supervision of **[Oscar Corcho](https://orcid.org/0000-0002-9260-0753)** and **[María S. Pérez](https://www.datsi.fi.upm.es/~mperez/)** in the **[Ontology Engineering Group](https://oeg.fi.upm.es/)**.

## Publications

### Journals

- **[Morph-KGC: Scalable knowledge graph materialization with mapping partitions](https://content.iospress.com/download/semantic-web/sw223135?id=semantic-web%2Fsw223135)**  
**Semantic Web Journal** | **2022** | Julián Arenas-Guerrero, David Chaves-Fraga, Jhon Toledo, María S. Pérez, Oscar Corcho

### Conferences

- **[RML-star: A Declarative Mapping Language for RDF-star Generation](http://ceur-ws.org/Vol-2980/paper374.pdf)**  
**ISWC** | **2021** | Thomas Delva, Julián Arenas-Guerrero, Ana Iglesias-Molina, Oscar Corcho, David Chaves-Fraga, Anastasia Dimou

### Workshops

- **[Knowledge Graph Construction with R2RML and RML: An ETL System-based Overview](http://ceur-ws.org/Vol-2873/paper11.pdf)**  
**Knowledge Graph Construction Workshop** | **2021** | Julián Arenas-Guerrero, Mario Scrocca, Ana Iglesias-Molina, Jhon Toledo, Luis Pozo-Gilo, Daniel Doña, Oscar Corcho, David Chaves-Fraga

## Tutorials

- **[The Knowledge Graph Construction Tutorial](https://w3id.org/kg-construct/costdkg-eswc-tutorial)**  
**ESWC** | **2022**

## Intellectual Property

The source code of **Morph-KGC** is registered on the **Intellectual Property Registry of the Community of Madrid** under the reference _M-003951/2021_.

## Projects

- **KnowledgeSpaces** (Grant PID2020-118274RB-I00 funded by MCIN/AEI/ 10.13039/501100011033).
<figure markdown>
  ![KnowledgeSpaces](assets/knowledgespaces.png){ width="320" }
</figure>

- **SIGTRANS** (Grant PDC2021-120917-C22 funded by MCIN/AEI/ 10.13039/501100011033 and by the European Union NextGenerationEU/PRTR).
<figure markdown>
  ![SIGTRANS](assets/sigtrans.png){ width="510" }
</figure>

- **Datos 4.0** (Grant TIN2016-78011-C4-4-R funded by MCIN/AEI/ 10.13039/501100011033 and by ERDF A way of making Europe).
<figure markdown>
  ![Datos 4.0](assets/datos40.png){ width="440" }
</figure>

- **[ENTENTE](https://doi.org/10.3030/900018)** (Grant 9000018 funded by Euratom 2019-2020).
<figure markdown>
  ![ENTENTE](assets/entente.png){ width="400" }
</figure>

![OEG](assets/logo-oeg.png){ width="150" align=left } ![UPM](assets/logo-upm.png){ width="161" align=right }
